package immibis.ccperiphs.speaker;

/* $if jclient$ */

import static org.lwjgl.opengl.GL11.*;

import immibis.ccperiphs.RenderUtils;
import immibis.core.api.Dir;
import immibis.core.api.porting.SidedProxy;
import immibis.core.aspects.ClientOnly;
import net.minecraft.src.Item;
import net.minecraft.src.TileEntity;
import net.minecraft.src.TileEntitySpecialRenderer;
/* $if mc > 1.3$ */
import net.minecraftforge.client.ForgeHooksClient;
/* $else$
import net.minecraft.src.forge.MinecraftForgeClient;
$endif$ */

@ClientOnly
public class RenderTileSpeaker extends TileEntitySpecialRenderer {
	
	@Override
	public void renderTileEntityAt(TileEntity var1, double x, double y, double z, float var8) {
		/* $if mc > 1.3$ */
		ForgeHooksClient.bindTexture("/immibis/ccperiphs/world.png", 0);
		/* $else$
		MinecraftForgeClient.bindTexture("/immibis/ccperiphs/world.png", 0);
		$endif$ */
		TileSpeaker ts = (TileSpeaker)var1;
		if(ts.client != null)
			RenderUtils.renderSpeakerDynamic((float)x, (float)y, (float)z, ts.facing, (float)ts.client.r_amplitude, ts.client.r_phase, var8, ts.client);
		else
			ts.client = ClientSpeaker.get(var1.xCoord, var1.yCoord, var1.zCoord, SidedProxy.instance.getDimension(var1.worldObj));
		/* $if mc > 1.3$ */
		ForgeHooksClient.unbindTexture();
		/* $else$
		MinecraftForgeClient.unbindTexture();
		$endif$ */
		
	}
}

/* $endif$ */